Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453395 (libmapi) - Review Request: OpenChange - Microsoft Exchange access with native protocols
Summary: Review Request: OpenChange - Microsoft Exchange access with native protocols
Keywords:
Status: CLOSED RAWHIDE
Alias: libmapi
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: Samba4
Blocks: 476315
TreeView+ depends on / blocked
 
Reported: 2008-06-30 11:50 UTC by Andrew Bartlett
Modified: 2009-02-27 03:55 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-27 03:55:24 UTC
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Bartlett 2008-06-30 11:50:28 UTC
Spec URL: http://abartlet.net/openchange-rpm/libmapi.spec
SRPM URL: http://abartlet.net/openchange-rpm/libmapi-0.7-0.1.svnr627.fc9.src.rpm
Description: 

OpenChange provides libraries to access Microsoft Exchange servers
using native protocols.

This package is built so tools like kdepim can be built with native access to Exchange.

Comment 1 Rex Dieter 2008-06-30 12:06:47 UTC
First suggestion, drop the Epoch.

Comment 2 Andrew Bartlett 2008-07-01 05:17:02 UTC
Updated packages will continue to be placed at http://abartlet.net/openchange-rpm/

Comment 3 Rex Dieter 2008-07-24 17:51:39 UTC
I can review this (and help with samba4 more later, that one's going to take
more time).

Comment 4 Rex Dieter 2008-07-24 17:58:08 UTC
1.  SHOULD drop Epoch

2.  drop extraneous:
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

3.  SHOULD drop extraneous
Requires: libtalloc >= 0:%{talloc_version}
which is already satisfied by fedora's default repos (F9+ anyway)

Can't confirm buildability atm, lacking samba4 builds here.  I think we can
trust you an that. :)

This one is pretty small/simple and the only items I found were mostly cosmetic,
so I'll also trust you to address them before performing any builds.

APPROVED.


Comment 5 Andrew Bartlett 2008-07-29 01:32:41 UTC
I should have mentioned, I will need to be sponsored, as this is one of my first
packages (ie, with the others in this chain).

Comment 6 Andrew Bartlett 2008-08-29 04:37:26 UTC
Updated packages addressing the above (and incorporating a name change to openchange, on the request of upstream) is now on my website.

Comment 7 Matthew Barnes 2008-12-12 23:23:43 UTC
Taking over this effort for the time being to get evolution-mapi approved.

I've updated the OpenChange package to the current Subversion revision.

SPEC:
http://mbarnes.fedorapeople.org/mapi/SPECS/openchange.spec

SRPM:
http://mbarnes.fedorapeople.org/mapi/SRPMS/openchange-0.8-0.3.svn909.fc10.src.rpm

Changes from Andrew's latest revision:
http://mbarnes.fedorapeople.org/mapi/SPECS/openchange.spec.diff

Comment 8 David Robinson 2008-12-15 00:32:49 UTC
Doesn't this also need a "BuildRequires: autoconf sysconftool automake libtool flex zlib-devel bison"?

Comment 9 Sandro Mathys 2008-12-15 02:54:34 UTC
rpmlint output for the SRPM:
openchange.src:132: W: macro-in-%changelog post
openchange.src: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 8)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

rpmlint output for the resulting RPMs:
openchange.i386: W: no-documentation
openchange.i386: E: library-without-ldconfig-postin /usr/lib/libmapi.so.0.8
openchange.i386: E: library-without-ldconfig-postun /usr/lib/libmapi.so.0.8
openchange.i386: E: library-without-ldconfig-postin /usr/lib/libocpf.so.0.8
openchange.i386: E: library-without-ldconfig-postun /usr/lib/libocpf.so.0.8
openchange.i386: E: library-without-ldconfig-postin /usr/lib/libmapiadmin.so.0.8
openchange.i386: E: library-without-ldconfig-postun /usr/lib/libmapiadmin.so.0.8
openchange.i386: W: incoherent-version-in-changelog 0:0.8-0.3.svn960.fc9 ['0.8-0.3.svn909.fc10', '0.8-0.3.svn909']
openchange.i386: W: shared-lib-calls-exit /usr/lib/libmapi.so.0.8 exit@GLIBC_2.0
openchange.i386: W: shared-lib-calls-exit /usr/lib/libocpf.so.0.8 exit@GLIBC_2.0
4 packages and 0 specfiles checked; 6 errors, 4 warnings.

Comment 10 Jerry Amundson 2008-12-15 05:11:50 UTC
On rawhide, I see this:
$ rpmlint Download/openchange-0.8-0.3.svn909.fc10.src.rpm
/usr/share/rpmlint/Pkg.py:16: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import popen2
openchange.src:132: W: macro-in-%changelog post
openchange.src: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 8)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 12 Rex Dieter 2008-12-21 21:21:00 UTC
my apologies, my time/interest has waned, so I'll withdraw to let someone else jump in.

Comment 14 Mamoru TASAKA 2009-01-02 17:59:22 UTC
(resetting all)

Comment 15 Jerry Amundson 2009-01-13 19:06:12 UTC
Still needs BuildRequires: zlib-devel

Comment 17 Matthew Barnes 2009-01-20 23:18:41 UTC
Update to official 0.8 ("ROMULUS") release.  Introduces a new openchange-python subpackage with Python bindings for the libmapi API.

http://mbarnes.fedorapeople.org/mapi/SPECS/openchange.spec
http://mbarnes.fedorapeople.org/mapi/SRPMS/openchange-0.8-1.fc10.src.rpm

Comment 19 Matthew Barnes 2009-02-25 18:19:36 UTC
One last update in preparation for a formal review.  Just fixes some minor rpmlint warnings.

http://mbarnes.fedorapeople.org/mapi/SPECS/openchange.spec
http://mbarnes.fedorapeople.org/mapi/SRPMS/openchange-0.8-3.fc10.src.rpm

Comment 20 Matthias Clasen 2009-02-25 18:54:59 UTC
Package builds ok in mock

rpmlint on the resulting rpms:

openchange.x86_64: W: shared-lib-calls-exit /usr/lib64/libmapi.so.0.8 exit@GLIBC_2.2.5
openchange.x86_64: W: shared-lib-calls-exit /usr/lib64/libocpf.so.0.8 exit@GLIBC_2.2.5
openchange-python.x86_64: W: no-documentation
openchange-python.x86_64: E: non-executable-script /usr/lib64/python2.6/site-packages/openchange/provision.py 0644
openchange-python.x86_64: E: non-executable-script /usr/lib64/python2.6/site-packages/openchange/__init__.py 0644
6 packages and 0 specfiles checked; 2 errors, 3 warnings.

The warnings are not serious, not sure what to make of the script error, it looks bogus to me.

Comment 21 Matthias Clasen 2009-02-25 20:49:20 UTC
package name: matches project name, ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok, but should it mentioned the idl license ?
license file: ok
spec language: ok
spec legibility: ok
upstream sources: needs to include the full src url
buildable: ok
buildrequires: ok
locale handling: ok
ldconfig: ok
relocatable: ok
directory ownership: ok
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
header files: ok
static libraries: ok
pkgconfig files: ok
shared libs: ok
devel package deps: ok
libtool archives: ok
gui apps: ok
file ownership: ok
%install: ok
utf8 filenames: ok


summary:
- fix the source url

Comment 22 Jeffrey C. Ollie 2009-02-25 21:21:22 UTC
(In reply to comment #20)
>
> openchange-python.x86_64: E: non-executable-script
> /usr/lib64/python2.6/site-packages/openchange/provision.py 0644
> openchange-python.x86_64: E: non-executable-script
> /usr/lib64/python2.6/site-packages/openchange/__init__.py 0644

You get these errors when a  file starts with "#!<yadda>" but does not have executable permissions.  To get rid of the rpmlint warnings I use:

%{__sed} -i -r -e '/^#!/,1d' <filename>

which will delete the first line if it starts with a "#!"

Comment 23 Matthew Barnes 2009-02-26 00:07:35 UTC
Source URL fixed.  Updated license tag: the code is GPLv3+ not GPLv3, and the IDL license appears to be public domain.  Most files under site-packages are executable, so I overrode the permissions on those Python files.

http://mbarnes.fedorapeople.org/mapi/SPECS/openchange.spec
http://mbarnes.fedorapeople.org/mapi/SRPMS/openchange-0.8-4.fc10.src.rpm

Comment 24 Matthias Clasen 2009-02-26 00:48:40 UTC
Hmm, the libmapi-0.8-ROMULUS.tar.gz I get there differs from the one in your srpm.

Comment 25 Matthew Barnes 2009-02-26 03:25:05 UTC
That's strange, I don't remember where I got the original tarball.  But anyway I rebuilt with the one from SourceForge.

http://mbarnes.fedorapeople.org/mapi/SPECS/openchange.spec
http://mbarnes.fedorapeople.org/mapi/SRPMS/openchange-0.8-5.fc10.src.rpm

Comment 26 Matthias Clasen 2009-02-26 04:45:29 UTC
Looks good now. Approved

Comment 27 Matthew Barnes 2009-02-26 12:51:05 UTC
New Package CVS Request
=======================
Package Name: openchange
Short Description: Microsoft Exchange access with native protocols
Owners: mbarnes
Branches: 
InitialCC:

Comment 28 Kevin Fenzi 2009-02-27 00:29:59 UTC
cvs done.

Comment 29 Matthew Barnes 2009-02-27 03:55:24 UTC
Package built.  Closing review.

http://kojipkgs.fedoraproject.org/packages/openchange/


Note You need to log in before you can comment on or make changes to this bug.